OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.ES2Compatibility

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBES2Compatibility :: MonadIO m => m Bool
- gl_ARB_ES2_compatibility :: Bool
- gl_FIXED :: GLenum
- gl_HIGH_FLOAT :: GLenum
- gl_HIGH_INT :: GLenum
- gl_IMPLEMENTATION_COLOR_READ_FORMAT :: GLenum
- gl_IMPLEMENTATION_COLOR_READ_TYPE :: GLenum
- gl_LOW_FLOAT :: GLenum
- gl_LOW_INT :: GLenum
- gl_MAX_FRAGMENT_UNIFORM_VECTORS :: GLenum
- gl_MAX_VARYING_VECTORS :: GLenum
- gl_MAX_VERTEX_UNIFORM_VECTORS :: GLenum
- gl_MEDIUM_FLOAT :: GLenum
- gl_MEDIUM_INT :: GLenum
- gl_NUM_SHADER_BINARY_FORMATS :: GLenum
- gl_RGB565 :: GLenum
- gl_SHADER_BINARY_FORMATS :: GLenum
- gl_SHADER_COMPILER :: GLenum
- glClearDepthf :: MonadIO m => GLfloat -> m ()
- glDepthRangef :: MonadIO m => GLfloat -> GLfloat -> m ()
- glGetShaderPrecisionFormat :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> Ptr GLint -> m ()
- glReleaseShaderCompiler :: MonadIO m => m ()
- glShaderBinary :: MonadIO m => GLsizei -> Ptr GLuint -> GLenum -> Ptr a -> GLsizei -> m ()

# Extension Support

glGetARBES2Compatibility :: MonadIO m => m Bool

Is the ARB_ES2_compatibility extension supported?

gl_ARB_ES2_compatibility :: Bool

Is the ARB_ES2_compatibility extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBES2Compatibility` in those cases instead.

# Enums

gl_FIXED :: GLenum

gl_HIGH_FLOAT :: GLenum

gl_HIGH_INT :: GLenum

gl_IMPLEMENTATION_COLOR_READ_FORMAT :: GLenum

gl_IMPLEMENTATION_COLOR_READ_TYPE :: GLenum

gl_LOW_FLOAT :: GLenum

gl_LOW_INT :: GLenum

gl_MAX_FRAGMENT_UNIFORM_VECTORS :: GLenum

gl_MAX_VARYING_VECTORS :: GLenum

gl_MAX_VERTEX_UNIFORM_VECTORS :: GLenum

gl_MEDIUM_FLOAT :: GLenum

gl_MEDIUM_INT :: GLenum

gl_NUM_SHADER_BINARY_FORMATS :: GLenum

gl_RGB565 :: GLenum

gl_SHADER_BINARY_FORMATS :: GLenum

gl_SHADER_COMPILER :: GLenum

# Functions

glClearDepthf

Arguments

:: MonadIO m |
=> GLfloat | `d`.
-> m () |

Manual page for OpenGL 4.x.

glDepthRangef

Arguments

:: MonadIO m |
=> GLfloat | `n`.
-> GLfloat | `f`.
-> m () |

Manual page for OpenGL 4.x.

glGetShaderPrecisionFormat

Arguments

:: MonadIO m |
=> GLenum | `shadertype`.
-> GLenum | `precisiontype`.
-> Ptr GLint | `range` pointing to `2` elements of type `GLint`.
-> Ptr GLint | `precision` pointing to `2` elements of type `GLint`.
-> m () |

Manual page for OpenGL 4.x.

glReleaseShaderCompiler :: MonadIO m => m ()

Manual page for OpenGL 4.x.

glShaderBinary

Arguments

:: MonadIO m |
=> GLsizei | `count`.
-> Ptr GLuint | `shaders` pointing to `count` elements of type `GLuint`.
-> GLenum | `binaryformat`.
-> Ptr a | `binary` pointing to `length` elements of type `a`.
-> GLsizei | `length`.
-> m () |

Manual page for OpenGL 4.x.